summaryrefslogtreecommitdiff
path: root/games-emulation
diff options
context:
space:
mode:
Diffstat (limited to 'games-emulation')
-rw-r--r--games-emulation/psemu-padjoy/Manifest4
-rw-r--r--games-emulation/psemu-padjoy/metadata.xml5
-rw-r--r--games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild35
3 files changed, 44 insertions, 0 deletions
diff --git a/games-emulation/psemu-padjoy/Manifest b/games-emulation/psemu-padjoy/Manifest
new file mode 100644
index 00000000..60809d9d
--- /dev/null
+++ b/games-emulation/psemu-padjoy/Manifest
@@ -0,0 +1,4 @@
+DIST padJoy082.tgz 48399 RMD160 52d4968ea69e6eace5a54904e7d8cb6fcf2bc9d8 SHA1 5226c17b2bc0fe9a02862fa5ba4b0f78408c311d SHA256 a8baecaf0ce7bf7493337e1ce25d0952383dfd55471e58225245f886bd3cd47f
+EBUILD psemu-padjoy-0.82.ebuild 898 RMD160 235389a05b5f55a9cce783b00816a1d2aa717f37 SHA1 fa114f4bd83df4ea69d8132f383831dc5719b0a8 SHA256 66506633b9557a4d3f537058c0f73aca44d403c27c5fafe2a65e7675ca43a6ba
+MISC ChangeLog 1928 RMD160 52a7dbc4b86246fbc5c1d4a9cbca9862fe9bdbf9 SHA1 289670cb47de90455b31c6bc938cdc3c12a7deed SHA256 d9f7ffc69746ac87a8156627f8cc6e5345876e2039dcc335d077911a2ed3e541
+MISC metadata.xml 158 RMD160 cbd9984bb6b426c8c9cee5022fe0a26261612fea SHA1 be5251fa1dacef5c41b74761bb1c8c54fb633b9e SHA256 1423a4fdd4a79b1728a2056d9e300f7e1074253095d82726218d9e9b953888a3
diff --git a/games-emulation/psemu-padjoy/metadata.xml b/games-emulation/psemu-padjoy/metadata.xml
new file mode 100644
index 00000000..d3c2cc92
--- /dev/null
+++ b/games-emulation/psemu-padjoy/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>games</herd>
+</pkgmetadata>
diff --git a/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild b/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild
new file mode 100644
index 00000000..398fe06a
--- /dev/null
+++ b/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-emulation/psemu-padjoy/psemu-padjoy-0.82.ebuild,v 1.7 2007/04/09 17:00:56 nyhm Exp $
+
+inherit games
+
+DESCRIPTION="PSEmu plugin to use joysticks/gamepads in PSX-emulators"
+HOMEPAGE="http://www.ammoq.com/"
+SRC_URI="http://members.chello.at/erich.kitzmueller/ammoq/padJoy${PV//.}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~ppc x86"
+IUSE=""
+
+DEPEND="=x11-libs/gtk+-1*"
+
+S=${WORKDIR}/padJoy/src
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ sed -i \
+ -e "s:-O2 -fomit-frame-pointer:${CFLAGS}:" Makefile \
+ || die "sed failed"
+}
+
+src_install() {
+ exeinto "$(games_get_libdir)"/psemu/plugins
+ doexe libpadJoy-* || die "doexe failed"
+ exeinto "$(games_get_libdir)"/psemu/cfg
+ doexe cfgPadJoy || die "doexe cfgPadJoy failed"
+ dodoc ../readme.txt
+ prepgamesdirs
+}